﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.IO.Ports;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Threading;
using System.Runtime.InteropServices;
using System.Diagnostics;
using System.Text.RegularExpressions;
using Microsoft.Win32;

namespace EPT_Serial_Graph_Tool
{
    public partial class EPT_Serial_Graph_Tool : Form
    {
	   
        private void rdo8BitSelect_CheckedChanged(object sender, EventArgs e)
        {
            if (rdo8BitSelect.Checked == true)
            {
                TwoByteData = false;
                UpperByte = true;
                BitScale = 256;
            }
        }

        private void rdo10BitSelect_CheckedChanged(object sender, EventArgs e)
        {
            if (rdo10BitSelect.Checked == true)
            {
                TwoByteData = true;
                UpperByte = true;
                BitScale = 1024;
            }
        }

        private void rdo12BitSelect_CheckedChanged(object sender, EventArgs e)
        {
            if (rdo12BitSelect.Checked == true)
            {
                TwoByteData = true;
                UpperByte = true;
                BitScale = 4096;
            }
        }

        private void rdo16BitSelect_CheckedChanged(object sender, EventArgs e)
        {
            if (rdo16BitSelect.Checked == true)
            {
                TwoByteData = true;
                UpperByte = true;
                BitScale = 65536;
            }
        }



    }
}
