﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.IO.Ports;

namespace HyperSerialPort
{
    public partial class frmMultiTerminalForm : Form
    {

        public frmMultiTerminalForm()
        {
            InitializeComponent();

            string[] ports;
            ports = SerialPort.GetPortNames();


            // Display each port name to the console.
            foreach (string port in ports)
            {
                PortscomboBox.Items.Add(port);
            }
            PortscomboBox.Text = frm.MultiTerminal_PortName;
            comboBoxBaud.Text = frm.MultiTerminal_BaudRate;
            comboBoxDataBits.Text = frm.MultiTerminal_DataBits;
            comboBoxStopBits.Text = frm.MultiTerminal_StopBits;
            comboBoxHandshake.Text = frm.MultiTerminal_Handshake;
            comboBoxParity.Text = frm.MultiTerminal_Parity;

            labelCOMPort.Text = frm.MultiTerminal_PortName;

        }

        //creating object of parent to access shared variable  
        HyperSerialPort frm = new HyperSerialPort();

        private void buttonFindName_Click_1(object sender, EventArgs e)
        {
            //Clear the current list of ports
            PortscomboBox.Items.Clear();
            labelCOMPort.Text = "";

            // Get a list of serial port names.
            string[] ports;
            ports = SerialPort.GetPortNames();

            // Display each port name to the console.
            foreach (string port in ports)
            {
                //PortscomboBox.Text = port;
                PortscomboBox.Items.Add(port);
            }

        }
        
        private void btnOk_Click(object sender, EventArgs e)
        {
            frm.MultiTerminal_PortName = PortscomboBox.Text;
            frm.MultiTerminal_BaudRate = comboBoxBaud.Text;
            frm.MultiTerminal_DataBits = comboBoxDataBits.Text;
            frm.MultiTerminal_Parity = comboBoxParity.Text;
            frm.MultiTerminal_StopBits = comboBoxStopBits.Text;
            frm.MultiTerminal_Handshake = comboBoxHandshake.Text;
            if(!frm.MultiTerminal_StartMultiWindow)
                 frm.MultiTerminal_StartMultiWindow = true;
            else
                frm.MultiTerminal_StartMultiWindow = false;
            this.Close();
        }

        private void btnCancel_Click(object sender, EventArgs e)
        {
            frm.MultiTerminal_StartMultiWindow = false;
            this.Close();
        }

        private void PortscomboBox_SelectedIndexChanged(object sender, EventArgs e)
        {
            labelCOMPort.Text = PortscomboBox.Text;
        }
    }
}
