﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace HyperSerialPort
{
    public partial class frmChildProperties : Form
    {
        public frmChildProperties()
        {
            InitializeComponent();
            comboBoxBaud.Text = frm.FormPropertiesBaudRate;
            comboBoxDataBits.Text = frm.FormPropertiesDataBits;
            comboBoxParity.Text = frm.FormPropertiesParity;
            comboBoxStopBits.Text = frm.FormPropertiesStopBits;
            comboBoxHandshake.Text = frm.FormPropertiesHandshake;

            //Display port name in label
            labelCOMPort.Text = frm.FormPropertiesPortName;
        }

        //creating object of parent to access shared variable  
        frmChildForm frm = new frmChildForm();
        //do not use .show method as we dont want to display the form  


        private void Properties_Load(object sender, EventArgs e)
        {

        }

        private void buttonClose_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void buttonOKConfigure_Click(object sender, EventArgs e)
        {
            frm.FormPropertiesBaudRate = comboBoxBaud.Text;
            frm.FormPropertiesDataBits = comboBoxDataBits.Text;
            frm.FormPropertiesParity = comboBoxParity.Text;
            frm.FormPropertiesStopBits = comboBoxStopBits.Text;
            frm.FormPropertiesHandshake = comboBoxHandshake.Text;
            this.Close();
        }

    }
}
